Vector::BLF::CompressedFile(3)

NAME
Vector::BLF::CompressedFile

SYNOPSIS

#include <CompressedFile.h>

Inherits Vector::BLF::AbstractFile.

  Public Member Functions
CompressedFile (const CompressedFile &)=delete
CompressedFile & operator= (const CompressedFile &)=delete
CompressedFile (CompressedFile &&)=delete
CompressedFile & operator= (CompressedFile &&)=delete
std::streamsize gcount () const override
void read (char *s, std::streamsize n) override
std::streampos tellg () override
void seekg (std::streamoff off, const std::ios_base::seekdir way=std::ios_base::cur) override
void write (const char *s, std::streamsize n) override
std::streampos tellp () override
bool good () const override
bool eof () const override
virtual void open (const char *filename, std::ios_base::openmode openMode)
virtual bool is_open () const
virtual void close ()
virtual void seekp (std::streampos pos)
Public Member Functions inherited from Vector::BLF::AbstractFile
AbstractFile (const AbstractFile &)=default
AbstractFile & operator= (const AbstractFile &)=default
AbstractFile (AbstractFile &&)=default
AbstractFile & operator= (AbstractFile &&)=default
virtual void skipp (std::streamsize s) final

Detailed Description

CompressedFile (Input/output file stream)

This class is thread-safe.

Member Function Documentation

  void Vector::BLF::CompressedFile::close () [virtual]
Close file.

  bool Vector::BLF::CompressedFile::eof () const [override], [virtual]
Check whether eofbit is set.

Returns
    true if eofbit is set

Implements Vector::BLF::AbstractFile.

  std::streamsize Vector::BLF::CompressedFile::gcount () const [override], [virtual]
Get characters returned by last read operation.

Returns
    Number of characters

Implements Vector::BLF::AbstractFile.

  bool Vector::BLF::CompressedFile::good () const [override], [virtual]
Check whether state of stream is good.

Returns
    true if no error flags are set

Implements Vector::BLF::AbstractFile.

  bool Vector::BLF::CompressedFile::is_open () const [virtual]
is file open?

Returns
    true if file is open

  void Vector::BLF::CompressedFile::open (const char * filename, std::ios_base::openmode openMode) [virtual]
open file

Parameters
    filename file name
    openMode open in read or write mode

  void Vector::BLF::CompressedFile::read (char * s, std::streamsize n) [override], [virtual]
Read block of data.

This operation blocks until the data is available.

Parameters
    s Pointer to data
    n Requested size of data

Implements Vector::BLF::AbstractFile.

  void Vector::BLF::CompressedFile::seekg (std::streamoff off, const std::ios_base::seekdir way = std::ios_base::cur) [override], [virtual]
Set position in input sequence.

Parameters
    off Offset
    way Direction

Implements Vector::BLF::AbstractFile.

  void Vector::BLF::CompressedFile::seekp (std::streampos pos) [virtual]
Set position in output sequence.

Parameters
    pos Position

  std::streampos Vector::BLF::CompressedFile::tellg () [override], [virtual]
Get position in input sequence.

Returns
    Read position

Implements Vector::BLF::AbstractFile.

  std::streampos Vector::BLF::CompressedFile::tellp () [override], [virtual]
Get position in output sequence.

Returns
    Write position

Implements Vector::BLF::AbstractFile.

  void Vector::BLF::CompressedFile::write (const char * s, std::streamsize n) [override], [virtual]
Write block of data.

Parameters
    s Pointer to data
    n Size of data

Implements Vector::BLF::AbstractFile.

Author

Generated automatically by Doxygen for Vector BLF from the source code.